Transition a mutually exclusive study collection

View as MarkdownOpen in Claude
Transition a mutually exclusive study collection. This is used to: - Publish a study collection - Cancel publish a study collection - Schedule publish a study collection - This can be done by setting the publish_at on the study collection at create or patch, then transitioning with the "SCHEDULE_PUBLISH" action - Or optionally the publish_at can be provided directly in the body of the transition request

Authentication

AuthorizationToken

Header authentication of the form Token <token>

Path parameters

idstringRequired

Request

This endpoint expects an object.
actionenumOptional
Allowed values:
publish_atstringOptional
Optional parameter for scheduling publish, indicating the datetime and timezone the study collection should be scheduled to be published at

Response

Mutually exclusive study collection
descriptionstring or null
A description of the study collection
estimated_coststring or null
Estimated cost of the study collection
idstring or null
Mutually exclusive study collection id
namestring or null
Mutually exclusive study collection name
publish_atstring or null
Datetime and timezone the study collection should be scheduled to be published at
statusenum or null
Status of the study collection
study_idslist of strings or null
List of study ids you wish to include in the collection. Note, this will overwrite the current list of studies in the collection
total_coststring or null
Estimated cost of the study collection

Errors